<template>
  <div>
    <div class="subtitle-2">
      <strong>Codificación</strong><span class="tRojo">*</span>
    </div>
    <v-text-field
      v-model.trim="data.value"
      maxlength="20"
      placeholder="Codificación"
      :error="data.validator.$error"
      counter
    >
      <template v-if="data.validator.$error" v-slot:append>
        <v-popover placement="bottom-end" color="red" offset="16">
          <v-icon class color="#fd5151">mdi-alert-circle</v-icon>
          <template slot="popover">
            <div @click="data.validator.$reset()" v-close-popover>
              <div v-if="!data.validator.required">
                ¡No te olvides de éste campo!
              </div>
            </div>
          </template>
        </v-popover>
      </template>
    </v-text-field>
  </div>
</template>
<script>
export default {
  name: "Component-Codificacion",
  props: ["value"],
  computed: {
    data: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
};
</script>
